TiffProfileEP (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.tiff
Class TiffProfileEP

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
          edu.harvard.hul.ois.jhove.module.tiff.TiffProfileEP

    public class TiffProfileEP

extends TiffProfile

Profile checker for TIFF/EP. For TIFF/EP, no default values may be assumed. At the moment, we have no way to determine which values were defaulted, so defaults are shown even if the file satisfies the EP profile. This class also serves as the base class for DNG, which is defined as a restricted subset of TIFF/EP.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`_mimeClass, _profileText, MIME_1314, MIME_FX, MIME_GENERIC`

Constructor Summary
`TiffProfileEP()`

Method Summary
`boolean` | `satisfiesThisProfile(IFD ifd)` Returns true if the IFD satisfies the requirements of a TIFF/EP profile.

Methods inherited from class edu.harvard.hul.ois.jhove.module.tiff.TiffProfile
`getMimeClass, getText, isAlreadyOK, satisfiesBackgroundColorIndicator, satisfiesBackgroundColorIndicator, satisfiesCompression, satisfiesCompression, satisfiesDotRange, satisfiesFillOrder, satisfiesImageColorIndicator, satisfiesImageColorIndicator, satisfiesImageWidth, satisfiesIndexed, satisfiesNewSubfileType, satisfiesNewSubfileType, satisfiesOrientation, satisfiesOrientation, satisfiesPhotometricInterpretation, satisfiesPhotometricInterpretation, satisfiesPlanarConfiguration, satisfiesPlanarConfiguration, satisfiesProfile, satisfiesResolutionUnit, satisfiesResolutionUnit, satisfiesSamplesPerPixel, satisfiesSamplesPerPixel, satisfiesXResolution, satisfiesYResolution, setAlreadyOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiffProfileEP

    public TiffProfileEP()

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile(IFD ifd)

  Returns true if the IFD satisfies the requirements of a TIFF/EP profile. See the TIFF/EP specification for details.

  Specified by:
    `satisfiesThisProfile` in class `TiffProfile`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD